Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.io
Class Backlight

    java.lang.Object
      jcontrol.io.Backlight

    public class Backlight

extends Object

Control backlight brightness of JControl devices equipped with lcd-backlight (PLUI, PCWatch). Wrapper for class `PWM`.

Version:
  1.0
Author:
  Wolfgang Klingauf
Available on JControl Devices:

  lib (PLUI, SmartDisplay)

Field Summary
`(package private) static int` | `brightness` Current backlight brightness
`static int` | `MAX_BRIGHTNESS` maximum backlight brightness
`static int` | `MIN_BRIGHTNESS` minimum backlight brightness
`static byte` | `PWM_CHANNEL` PWM channel for backlight control

Constructor Summary
`Backlight()`

Method Summary
`static int` | `getBrightness()` Get current backlight brightness.
`static void` | `setBrightness(int value)` Set backlight's brightness

Methods inherited from class java.lang.Object
`clone, equals, notifyAll, wait`

Field Detail

### brightness

    static int brightness

  Current backlight brightness

### MAX_BRIGHTNESS

    public static final int MAX_BRIGHTNESS

  maximum backlight brightness

  See Also:
    Constant Field Values

### MIN_BRIGHTNESS

    public static final int MIN_BRIGHTNESS

  minimum backlight brightness

  See Also:
    Constant Field Values

### PWM_CHANNEL

    public static final byte PWM_CHANNEL

  PWM channel for backlight control

  See Also:
    Constant Field Values

Constructor Detail

### Backlight

    public Backlight()

Method Detail

### getBrightness

    public static int getBrightness()

  Get current backlight brightness.

  Returns:
    The current brightness of the backlight.

### setBrightness

    public static void setBrightness(int value)

  Set backlight's brightness

  Parameters:
    `value` - value between 0 (backlight off) and 256 (very bright)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD